Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.semanticweb.owl.impl.model
Class OWLConnectionImpl.PhysicalURIResolver

    java.lang.Object
      |
      +--org.semanticweb.owl.impl.model.OWLConnectionImpl.PhysicalURIResolver

All Implemented Interfaces:
  PhysicalURIToDefaultParametersResolver

Enclosing class:
  OWLConnectionImpl

protected static class OWLConnectionImpl.PhysicalURIResolver
extends Object
implements PhysicalURIToDefaultParametersResolver

The resolver for RDF physical URIs.

Constructor Summary
`protected` | `OWLConnectionImpl.PhysicalURIResolver()`

Method Summary
`Map` | `getDefaultParametersForPhysicalURI(String physicalURI, Map contextParameters)` Called by the KAONManager to attempt the resolution for given physical URI.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OWLConnectionImpl.PhysicalURIResolver

    protected OWLConnectionImpl.PhysicalURIResolver()

Method Detail

### getDefaultParametersForPhysicalURI

    public Map getDefaultParametersForPhysicalURI(String physicalURI,
                                                  Map contextParameters)

  Description copied from interface: `PhysicalURIToDefaultParametersResolver`
  Called by the KAONManager to attempt the resolution for given physical URI. If the resolution is successful, non-null value should be returned.

  Specified by:
    `getDefaultParametersForPhysicalURI` in interface `PhysicalURIToDefaultParametersResolver`
  Parameters:
    `physicalURI` - the physical URI
    `contextParameters` - the parameters that are used for missing elements (may be `null`)
  Returns:
    the default parameters for accessing the physical URI, or `null` if the parameters cannot be resolved

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WonderWeb